CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

已注册的应用程序属性 (ActiveX)

2023-1-3 07:32| 发布者: admin| 查看: 252| 评论: 0|来自: AutoCAD

摘要: 获取文档的已注册应用程序集合。

获取文档的已注册应用程序集合。

支持的平台:仅窗口

签名

工 务 局:

object.RegisteredApplications
对象

类型:数据库文档

此属性适用的对象。

属性值

只读:是的

类型:已注册的应用程序

文档的集合。RegisteredApplications

言论

没有额外的评论。

例子

工 务 局:

Sub Example_RegisteredApplications()
    ' This example finds the current RegisteredApplications collection and
    ' adds a new RegisteredApplication to that collection.
    
    Dim RegAppColl As AcadRegisteredApplications
    Set RegAppColl = ThisDrawing.RegisteredApplications
    
    ' Create a RegisteredApp named "TEST" in the current drawing
    Dim RegAppObj As AcadRegisteredApplication
    Set RegAppObj = RegAppColl.Add("TEST")
    MsgBox "A new registered application called " & RegAppObj.name & " has been added to the Registered Applications collection.", vbInformation, "RegisteredApplications Example"
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_RegisteredApplications()
    ;; This example finds the current RegisteredApplications collection and
    ;; adds a new RegisteredApplication to that collection.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    (setq RegAppColl (vla-get-RegisteredApplications doc))
    
    ;; Create a RegisteredApp named "TEST" in the current drawing
    (setq RegAppObj (vla-Add RegAppColl "TEST"))
    (alert (strcat "A new registered application called " (vla-get-Name RegAppObj) " has been added to the Registered Applications collection."))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-19 14:00

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部